Får ikke ut Resultatbalanse pga feil i noen .py-filer

Hjelp og support relatert til programmet BAS21.
Svar
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 12.03.2019 14:53

Feil-loggen sier:
2019-03-12 14:42:15,085 - ERROR - [1.2.3] Traceback (most recent call last):
2019-03-12 14:42:15,085 - ERROR - [1.2.3] File "ui\mainwin.py", line 528, in open_resrapport
2019-03-12 14:42:15,085 - ERROR - [1.2.3] File "ui\regnskap\resultatrapport.py", line 101, in __init__
2019-03-12 14:42:15,086 - ERROR - [1.2.3] File "ui\regnskap\resultatrapport.py", line 129, in load_resultat
2019-03-12 14:42:15,086 - ERROR - [1.2.3] File "bascore\baslib\__init__.py", line 62, in func_wrapper
2019-03-12 14:42:15,086 - ERROR - [1.2.3] File "bascore\baslib\__init__.py", line 56, in func_wrapper
2019-03-12 14:42:15,086 - ERROR - [1.2.3] File "bascore\baslib\regnskap.py", line 89, in get_resultatrapport
2019-03-12 14:42:15,086 - ERROR - [1.2.3] KeyError: 33

Hva kan gjøres med dette???
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 13.03.2019 16:13

Jeg har søkt på flere som har hatt lignende problem, men ikke funnet noen som har fått et tilfredsstillende svar :(

Jeg har avinstallert, rebootet, installert på nytt uten at det hjelper. Kommer dessverre ikke videre.
Jeg begynte å lure på om det var noe feil i selve regnskapet, men jeg får ut alle andre rapporter.
Sist redigert av TorSverre den 13.03.2019 16:37, redigert 1 gang totalt.
Brukeravatar
chreide
Site Admin
Innlegg: 170
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av chreide » 13.03.2019 16:19

Jeg tror jeg vet hva det kan være. Det er en eller annen konto hos deg som forårsaker problemet. Det er ikke noe galt med kontoen, men programmet sliter med å legge kontoen i riktig "kategori" i rapporten.

Jeg planlegger en oppdatering i kveld, og da vil dette være fikset.
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 13.03.2019 18:41

Setter pris på det.
Gleder meg å få ut resultatbalansen.
Brukeravatar
chreide
Site Admin
Innlegg: 170
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av chreide » 14.03.2019 23:50

Versjon 1.2.4 ligger ute nå. Kan du gi den et forsøk?
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 15.03.2019 00:16

Hei.
Jeg vet ikke om det er installasjonen det var noe feil med, men fikk ingen feilmelding under installasjonen.
Her er feil-loggen etter installasjonen:

---

2019-03-14 21:59:00,782 - ERROR - [1.2.4] Traceback (most recent call last):
File "sqlalchemy\dialects\sqlite\pysqlite.py", line 338, in dbapi
ModuleNotFoundError: No module named 'pysqlite2'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "bas21.py", line 131, in __init__
File "bascore\baslib\dbutils.py", line 104, in connect_db
File "sqlalchemy\engine\__init__.py", line 431, in create_engine
File "sqlalchemy\engine\strategies.py", line 87, in create
File "sqlalchemy\dialects\sqlite\pysqlite.py", line 343, in dbapi
File "sqlalchemy\dialects\sqlite\pysqlite.py", line 341, in dbapi
File "sqlite3\__init__.py", line 23, in <module>
File "sqlite3\dbapi2.py", line 27, in <module>
ImportError: DLL load failed: Den angitte modulen ble ikke funnet.

--- Dette er etter forsøker på å få ur resultatrapporten:

2019-03-14 23:43:23,590 - ERROR - [1.2.4] Traceback (most recent call last):
2019-03-14 23:43:23,590 - ERROR - [1.2.4] File "ui\mainwin.py", line 528, in open_resrapport
2019-03-14 23:43:23,590 - ERROR - [1.2.4] File "ui\regnskap\resultatrapport.py", line 101, in __init__
2019-03-14 23:43:23,591 - ERROR - [1.2.4] File "ui\regnskap\resultatrapport.py", line 129, in load_resultat
2019-03-14 23:43:23,591 - ERROR - [1.2.4] File "bascore\baslib\__init__.py", line 62, in func_wrapper
2019-03-14 23:43:23,591 - ERROR - [1.2.4] File "bascore\baslib\__init__.py", line 56, in func_wrapper
2019-03-14 23:43:23,591 - ERROR - [1.2.4] File "bascore\baslib\regnskap.py", line 87, in get_resultatrapport
2019-03-14 23:43:23,591 - ERROR - [1.2.4] ValueError: Fant ikke kontokategori for konto 9000

---

Hva menes med kontokategori for konto.
Jeg har lagt til kontoen selv ja, men ser ikke noe forskjell på den og de andre.
Evt. hvordan setter jeg kontokategori? Finner ikke noe valg for det.

Jeg får ut alle andre rapporter, men det er kun resultatrapporten som mangler :(
Brukeravatar
chreide
Site Admin
Innlegg: 170
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av chreide » 15.03.2019 00:58

Konto 9000 ja. Hva bruker du den til? Er den en del av balansen eller resultatet?
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 15.03.2019 01:06

Til driftskostnader...

Jeg er dessverre ikke regnskapskyndig, men har lært endel underveis.
Og ble fortalt at kontoer 9000+ kunne brukes til eget formål.
Brukeravatar
chreide
Site Admin
Innlegg: 170
Registrert: 06.05.2018 16:10
Sted: Trondheim

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av chreide » 15.03.2019 01:46

Ok. Kontoene over 9000 brukes til så mangt, så derfor må typen settes eksplisitt på disse. Det er også vanlig med enkelte hjelpekontoer som tilhører balansen i 9000-serien.

Men jeg ser det har vært et problem med akkurat konto 9000 (men sikkert helt ok for kontoer > 9000). Så jeg laget like godt en versjon 1.2.5 med en liten endring på akkurat dette. Rapporten skal virke. Åpne også 9000 fra kontoplanen og se om "Type" er satt til "Resultat - Driftskostnader".
TorSverre
Innlegg: 7
Registrert: 20.06.2018 02:04

Re: Får ikke ut Resultatbalanse pga feil i noen .py-filer

Legg inn av TorSverre » 15.03.2019 11:23

Problem solved.

Jeg kan vanskelig beskrive min takknemlighet for rask respons og den jobben du har gjort.

Kontoene mine er like alle andre så langt jeg kan se, unntatt i selve databasen. Det er status satt til 1 på mine konti, men standardkonti er satt til (null). Dette gjelder også konto_type_id. Vet ikke om det betyr noe?
PS: Er det mulig å endre selve kontonummeret i selve databasen uten at det lager masse krøll i resten av regnskapet hvis jeg vil endre struktur på kontonumrene? Kan svare med PM om det ble litt på siden av det som bør deles.

Igjen TUSEN TAKK for hjelpen.

Med takknemlig hilsen fra
TorSverre
Svar